org.apache.ivy.osgi.filter

## Class CompareFilter

- java.lang.Object
- - org.apache.ivy.osgi.filter.OSGiFilter
  - - org.apache.ivy.osgi.filter.CompareFilter

    public class CompareFilter
    extends OSGiFilter

### Nested Class Summary

Nested Classes
`static class` `CompareFilter.Operator`

### Constructor Summary

Constructors
Constructor and Description
`CompareFilter(java.lang.String leftValue, CompareFilter.Operator operator, java.lang.String rightValue)`

### Method Summary

Methods
`void` `append(java.lang.StringBuffer builder)`
`boolean` `equals(java.lang.Object obj)`
`boolean` `eval(java.util.Map<java.lang.String,java.lang.String> properties)`
`java.lang.String` `getLeftValue()`
`CompareFilter.Operator` `getOperator()`
`java.lang.String` `getRightValue()`
`int` `hashCode()`

### Methods inherited from class org.apache.ivy.osgi.filter.OSGiFilter

`toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CompareFilter

    public CompareFilter(java.lang.String leftValue,
                 CompareFilter.Operator operator,
                 java.lang.String rightValue)

### Method Detail

#### getLeftValue

    public java.lang.String getLeftValue()

#### getOperator

    public CompareFilter.Operator getOperator()

#### getRightValue

    public java.lang.String getRightValue()

#### append

    public void append(java.lang.StringBuffer builder)

Specified by:
  `append` in class `OSGiFilter`

#### eval

    public boolean eval(java.util.Map<java.lang.String,java.lang.String> properties)

Specified by:
  `eval` in class `OSGiFilter`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`